SCATPLT(3)

PACKAGE
scatplt - Routines to manipulate scatter plots

PURPOSE
These routines are meant to provide a high level mechanism to create and manipulate scatter plots (2-dimensional slices of Karma data structures). These scatter plots utilise the world canvases available in the <-canvas-> package, hence the resulting code is device independent. NOTE: THIS PACKAGE IS WORK IN PROGRESS. THE INTERFACE MAY CHANGE IN THE NEXT RELEASE, POSSIBLY WITHOUT NOTICE.

LIBRARY
karmagraphics

LINK WITH
-lkarmagraphics

FUNCTIONS

scatplt_init
    Initialise the package for a particular canvas.

scatplt_create
    Create scatter plot.

scatplt_set_active
    Set active state for a scatter plot controlled refresh.

scatplt_set_all_inactive
    Clear active state all scatter plots controlled refresh.

scatplt_destroy
    Destroy scatter plot.

scatplt_register_destroy_func
    Register destroy callback.

scatplt_get_worldcanvas
    Get the world canvas for a scatter plot.

scatplt_find_closest
    Find the closest point to a specified position.

scatplt_find_closest_all
    Find the closest point to a specified position.

scatplt_create_vv
    Create a value-value scatter plot from two 2D sub-arrays.

scatplt_create_smart_cursor
    Create a smart cursor.

scatplt_PROTO_destroy_func
    Process a destroy event on a scatter plot.

scatplt_PROTO_cursor_func
    Process a smart cursor event on a scatter plot.

TABLE scatplt_CANVAS_ATTRIBUTES
List of canvas attributes for scatter plots
Name Get Type Set Type Meaning
SCATPLT_CANVAS_ATT_END End of varargs list

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/